<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type">
</head>
<body bgcolor="#ffffff" text="#000000">
Michael,<br>
<br>
That looks good...if one of the libs was missing it would indicate it. 
My next guess would be webserver configuration issues (see my other
email), and/or file permissions, like can the apache user access the
files in your hobbit cgi-bin directory (test by su to the apache user
and see if you can acesss the dir/files).<br>
<br>
-Charles<br>
<br>
Michael Frey wrote:
<blockquote
 cite="midOFECC3361D.1CE68733-ON852570EE.005EA15D-852570EE.005EBC48@glic.com"
 type="cite"><br>
  <font face="sans-serif" size="2">This is what I get when I run the ldd</font>
  <br>
  <br>
  <font face="sans-serif" size="2">[root@nbtbigbro1 bin]# ldd
hobbitgraph.cgi
  </font><br>
  <font face="sans-serif" size="2">        librrd.so.2
=> /usr/local/rrdtool-1.2.11/lib/librrd.so.2 (0x40018000)</font>
  <br>
  <font face="sans-serif" size="2">        libpng.so.2
=> /usr/lib/libpng.so.2 (0x400ec000)</font>
  <br>
  <font face="sans-serif" size="2">        libc.so.6
=> /lib/i686/libc.so.6 (0x4010d000)</font>
  <br>
  <font face="sans-serif" size="2">        libm.so.6
=> /lib/i686/libm.so.6 (0x40248000)</font>
  <br>
  <font face="sans-serif" size="2">        libz.so.1
=> /usr/lib/libz.so.1 (0x4026b000)</font>
  <br>
  <font face="sans-serif" size="2">        /lib/ld-linux.so.2
=> /lib/ld-linux.so.2 (0x40000000)<br>
  <br>
  </font><br>
  <br>
  <font size="3">Michael,<br>
  <br>
Yes it looks like an issue with libpng. Verify this by going to your
hobbit
directory, then cd to the "bin" directory, and run the ldd command
on hobbitgraph.cgi.  This will show all the libs that hobbitgraph
expects to find, and if it has access to them or not.  Here is a sample
output from my hobbit server:<br>
  </font><font size="3"><tt><br>
# ldd hobbitgraph.cgi<br>
       libpcre.so.0 => /lib/libpcre.so.0 (0x0098d000)<br>
       librrd.so.2 => /usr/local/rrdtool-1.2.11/lib/librrd.so.2
(0x00d35000)<br>
       libpng12.so.0 => /usr/lib/libpng12.so.0
(0x00be1000)<br>
       libc.so.6 => /lib/tls/libc.so.6 (0x005cf000)<br>
       libfreetype.so.6 => /usr/lib/libfreetype.so.6
(0x00804000)<br>
       libz.so.1 => /usr/lib/libz.so.1 (0x00726000)<br>
       libart_lgpl_2.so.2 => /usr/lib/libart_lgpl_2.so.2
(0x0044d000)<br>
       libm.so.6 => /lib/tls/libm.so.6 (0x006fb000)<br>
       /lib/ld-linux.so.2 (0x005b6000)</tt></font><font size="3"><br>
  <br>
I'm guessing that for you libpng is missing.  If you already have
it, but its in the wrong place, the fix can be as simple as making a
symlink
to it, or copying it to where hobbit expects it to be.  Other solutions
include editing your /etc/ld.so.conf (run ldconfig afterwards), or
recompiling
hobbit and giving it the exact location of libpng.<br>
  <br>
-Charles<br>
  <br>
Michael Frey wrote: </font>
  <br>
  <font face="sans-serif" size="2"><br>
The specific issue I am having is with the history graphs drawing.
 Everything
else is working fine.</font><font size="3"> </font><font
 face="sans-serif" size="2"><br>
see screenshot:</font><font size="3"> <br>
  </font><img src="cid:part1.01080308.06030402@cisco.com"><font size="3"><br>
  </font><font face="sans-serif" size="2"><br>
They used to work, but after a reboot, they failed.  I recall having
to manually copy ldpng somewhere, but that is it.</font><font size="3">
  <br>
  </font><font face="sans-serif" size="2"><br>
I know I am in over my head with the linux piece, but it worked before,
and I am sure it is a simple fix; I just can't figure it out.</font><font
 size="3">
  <br>
  </font><font face="sans-serif" size="2"><br>
I have some great resources here that know linux, but they are at a
loss
with the pieces hobbit uses.</font><font size="3"> <br>
  </font><font face="sans-serif" size="2"><br>
Any suggestions for the cgi-graphing would simplify everything, as I
would
eave the current build running.<br>
  <br>
Michael Frey</font><font size="3"><br>
  </font>
  <div align="center"><br>
  <font size="3"><br>
  </font>
  <hr></div>
  <p><font face="Tahoma" size="2"><b>From:</b> Michael Frey [</font><a
 href="mailto:michael_frey@glic.com"><font color="blue" face="Tahoma"
 size="2"><u>mailto:michael_frey@glic.com</u></font></a><font
 face="Tahoma" size="2">]
  <b><br>
Sent:</b> Friday, January 06, 2006 11:00 AM<b><br>
To:</b> </font><a href="mailto:hobbit@hswn.dk"><font color="blue"
 face="Tahoma" size="2"><u>hobbit@hswn.dk</u></font></a><font
 face="Tahoma" size="2"><b><br>
Subject:</b> [hobbit] linux version</font><font size="3"> </font>
  </p>
  <p><font face="sans-serif" size="2">I have had a linux rh 7.3 server
running,
and have had issues with the history graphs.</font><font size="3"> </font>
  </p>
  <p><font face="sans-serif" size="2">I tried to upgrade to Fedora C3,
bit
that looks to be missing some important pieces.</font><font size="3"> </font><font
 face="sans-serif" size="2"><br>
What would be the recommended version of Linux to avoid all of these
isuues?</font><font size="3">
  </font><font face="sans-serif" size="2"><br>
  <br>
Redhat 9?</font><font size="3"> </font>
  </p>
  <p><font size="3">Michael,<br>
  <br>
What missing important pieces?  I have run hobbit on Redhat9, Fedora
Core 3, Fedora Core 4, Centos 3.x, Centos 4.x, and Solaris 10.<br>
  <br>
All of the installs required fulfilling various dependencies like
rrdtool,
libpng, etc. I would say the easiest install I did was on FC4...I'm not
sure you will find an OS that will have all of hobbits dependencies
available
in the base packages branch, but with any decently new distro you
should
have pretty much everything available except rrdtool.  <br>
  <br>
If you are the kind of person who prefers to use RPMs for everything,
check
out Dags (</font><a
 href="http://dag.wieers.com/home-made/apt/packages.php"><font
 color="blue" size="3"><u>http://dag.wieers.com/home-made/apt/packages.php</u></font></a><font
 size="3">),
they have RPMs for most distros (redhat 7,9,fc1-4,EL3-4) including
fping
and rrdtool.  You can either download the rpms manually or add dag
to your yum.conf so you can just do "yum install rrdtool" and
it will automatically grab the dependencies too.<br>
  <br>
Note I don't recommend this method for everyone...some people are
paranoid
(rightfully so if security is a concern) and refuse to install binary
releases
and only install manually from tarballs.<br>
  <br>
-Charles </font>
  </p>
  <p></p>
  <hr>
  <p><font size="3"><b>This message, and any attachments to it, may
contain
information that<br>
is privileged, confidential, and exempt from disclosure under<br>
applicable law. If the reader of this message is not the intended<br>
recipient, you are notified that any use, dissemination, distribution,<br>
copying, or communication of this message is strictly prohibited. If<br>
you have received this message in error, please notify the sender<br>
immediately by return e-mail and delete the message and any<br>
attachments. Thank you. </b></font>
  </p>
  <p></p>
  <p></p>
</blockquote>
<br>
</body>
</html>